# This file was auto-generated by Fern from our API Definition.

from ...core.pydantic_utilities import UniversalBaseModel
import typing
import pydantic
from ...core.pydantic_utilities import IS_PYDANTIC_V2


class ExperimentalStreamResponse(UniversalBaseModel):
    """
    ExperimentalStreamResponse represents generated audio stream info
    """

    audio_url: typing.Optional[str] = pydantic.Field(default=None)
    """
    URL to the synthesized audio file. It includes the expiration time and a signature in the query params.
    The audio file will be available for download until the expiration time.
    For the URL to work correctly, it must be used verbatim, with all the query parameters.
    """

    expires: typing.Optional[str] = pydantic.Field(default=None)
    """
    Expiry time of the audio file, in ISO-8601 format.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
